footer {
    background-color: var(--color-text);
    border-bottom: 1px solid var(--color-gray);
    padding-block: 2rem;
}

.footer-bottom {
    background-color: var(--color-text);
    display: flex;
    align-items: center;
    justify-content: center;
    padding-block: 10px;
}

.footer-bottom p {
    color: var(--color-background);
    font-size: var(--font-size-sm);
    text-align: center;
    margin: 0;
}

footer .container {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 2rem;
}

footer .footer-section {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    color: var(--color-background);
    flex: 1;
    width: 100%;
    gap: 1rem;
}

/* First and last footer sections get more width */
footer .footer-section:first-child {
    flex: 1.5;
}

/* Middle footer sections get less width */
footer .footer-section:nth-child(2),
footer .footer-section:nth-child(3) {
    flex: 0.8;
}

footer .footer-section img {
    width: 150px;
    height: auto;
    margin-bottom: 1rem;
}

footer .footer-description {
    font-size: var(--font-size-md);
    color: var(--color-background);
    line-height: 1.5;
    text-align: justify;
    padding-right: 10px;
}

footer h4 {
    font-size: var(--font-size-lg);
    color: var(--color-primary);
    font-weight: 600;
    margin-bottom: 1rem;
    position: relative;
}

footer h4::after {
    content: '';
    position: absolute;
    width: 50px;
    height: 1px;
    background-color: var(--color-primary);
    bottom: -8px;
    left: 0;
}

footer .footer-links {
    display: flex;
    flex-direction: column;
    gap: 0.75rem;
}

footer .footer-links a {
    font-weight: 400;
    font-size: var(--font-size-md);
}

footer .contact-link {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    gap: .5rem;
}

footer .contact-link svg {
    width: 20px;
    height: 20px;
    color: var(--color-primary);
}

footer .contact-link p {
    width: 100%;
    font-size: var(--font-size-sm);
}

@media (max-width: 768px) {
    footer .container {
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        text-align: left;
    }

    footer .footer-section {
        width: 100%;
        text-align: left;
    }

    /* Reset flex values on mobile */
    footer .footer-section:first-child,
    footer .footer-section:last-child,
    footer .footer-section:nth-child(2),
    footer .footer-section:nth-child(3) {
        flex: 1;
    }

    footer .footer-links {
        align-items: left;
    }
}